
Figure - Bug #115994
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT】【通知中心】应用图标显示异常
2023-02-07 16:55 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-07

Priority: Normal Due date: 2023-03-14

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VC1_FSE_0082_20230314

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0072.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303080018

Reproducibility: Every time Fixed Version: 2023-03-06

Test Type: ST Root cause: AOSP 在 Android 5.0 之后会对所有通知图标进行着色，如果图标不支持灰度化，着色后就会整个是前景色的颜色。

Description

【前提条件】

1、设备已开机

【测试步骤】

1、连续进行两次屏幕录制，查看状态栏显示

2、安装一些三方应用，产生一些隐藏通知

【预期结果】

1、系统界面图标显示正常

2、所以隐藏通知的应用图标显示正常

【实际结果】

1、系统界面图标显示异常

2、qq音乐、腾讯视频图标显示异常

History

#1 - 2023-02-08 19:49 - CD FW 曹覃刚

- Due date set to 2023-02-17

填写计划完成日期

#2 - 2023-02-17 10:38 - CD TPM-王祥林

- Target version set to VC1_FSE_0082_20230314

#3 - 2023-02-20 15:35 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD FW-鲁凯峰

#4 - 2023-02-22 10:27 - CDTS-TEST 周婷

- Due date deleted (2023-02-17)

请重新评估fix 时间
#5 - 2023-02-22 20:42 - CD FW 曹覃刚

- Due date set to 2023-02-28

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-鲁凯峰 to CD FW-廖涛

#6 - 2023-02-24 13:53 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW-程天颖

#7 - 2023-02-28 10:19 - CD FW-程天颖

- Due date changed from 2023-02-28 to 2023-03-14

#8 - 2023-03-02 16:29 - CD FW-廖涛

- Assignee changed from CD FW-程天颖 to CD FW-廖涛

分析中...

#9 - 2023-03-06 18:13 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185906 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Notification: Fix notification icon white block problem.TC-RID: 1201-0201902IssueID: TS-R-BUG-115994Change-Id:

I9fd7f888ffdd1699a5d16910cd55dd1566e7421a

#10 - 2023-03-06 18:15 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-06

- Root cause set to AOSP 在 Android 5.0 之后会对所有通知图标进行着色，如果图标不支持灰度化，着色后就会整个是前景色的颜色。

■ Current conclusion

已处理，代码已入库。

■ My analysis

AOSP 在 Android 5.0 之后会对所有通知图标进行着色，如果图标不支持灰度化，着色后就会整个是前景色的颜色。

已针对这种情况做兼容性处理，如果图标不支持灰度化，则不进行着色处理。

■ Next action

测试验证。
#11 - 2023-03-08 14:10 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303080018

3.8

验证通过

#12 - 2023-03-08 14:10 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-07 16-52-57.mp4 20.1 MB 2023-02-07 CD TEST-方永红
